## wmweather 1.31

=== Src/Makefile ===
CC     = gcc
CFLAGS = -O2 -Wall
INCDIR = -I/usr/X11R6/include/X11 -I/usr/X11R6/include
DESTDIR= /usr/X11R6
LIBDIR = -L/usr/X11R6/lib
# for linux
LIBS   = -lXpm -lX11 -lXext
# for Solaris
# LIBS   = -lXpm -lX11 -lXext -lsocket
OBJS   = wmWeather.o \
         xutils.o


.c.o:
	$(CC) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)


all:	wmWeather.o wmWeather

wmWeather.o: wmWeather_master.xpm wmWeather_mask.xbm
wmWeather:	$(OBJS) 
	$(CC) $(CFLAGS) $(SYSTEM) -o wmWeather $^ $(INCDIR) $(LIBDIR) $(LIBS)

clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmWeather

install:: wmWeather
	install -c -s -m 0755 wmWeather $(DESTDIR)/bin
	install -c    -m 0755 GrabWeather $(DESTDIR)/bin
	install -c    -m 0644 wmWeather.1 $(DESTDIR)/man/man1

## wmweather 2.4.5

=== debian/changelog ===
wmweather (2.4.5-2) unstable; urgency=low

  * Updated build system.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 30 Dec 2013 16:28:11 +0100

wmweather (2.4.5-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version: changed section to gnustep.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 03 Jul 2009 18:01:33 +0200

wmweather (2.4.4-5) unstable; urgency=low

  * Fixed xmessage path, closes: #532978.
  * Updated standards version: changed section to gnustep.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 22 Jun 2009 18:23:10 +0200

wmweather (2.4.4-4) unstable; urgency=low

  * Removed SSL dependency, updated build-dependencies, closes: #532822.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 12 Jun 2009 18:49:27 +0200

wmweather (2.4.4-3) unstable; urgency=low

  * Updated (build-) dependencies.
  * Added homepage control field and updated package description.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 13 Apr 2009 19:14:14 +0200

wmweather (2.4.4-2) unstable; urgency=low

  * Fixed watch file, closes: #449746.
  * Fixed clean target.
  * Updated build-dependencies.
  * Updated menu section.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 02 Feb 2008 17:44:41 +0100

wmweather (2.4.4-1) unstable; urgency=low

  * New upstream release.
  * Updated build-dependency.
  * Fixed debian/rules, debian/postinst, debian/postrm.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 13 May 2007 19:35:24 +0200

wmweather (2.4.3-5) unstable; urgency=low

  * Fixed dewpoint calculation, closes: #402397.
    Thanks to Djalma Brandão Martins.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 10 Dec 2006 09:12:20 +0100

wmweather (2.4.3-4) unstable; urgency=low

  * Improved data interpretation, closes: #401479.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 04 Dec 2006 18:06:20 +0100

wmweather (2.4.3-3) unstable; urgency=low

  * Fixed wmweather.conf installation, closes: #375151.
  * Fixed character encoding in manual page.
  * Updated menu file destination.
  * Updated FSF address in copyright file.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 25 Jun 2006 18:38:00 +0200

wmweather (2.4.3-2) unstable; urgency=low

  * Updated build dependencies, closes: #279457.
  * Added watch file.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 03 Nov 2004 18:29:40 +0100

wmweather (2.4.3-1) unstable; urgency=low

  * New upstream release.
  * Fixed POSIX compliance of debian/rules.
  * Fixed quotation in debian/menu.
  * Fixed permissions of DEBIAN/control.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 11 Jul 2004 17:43:27 +0200

wmweather (2.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 30 Oct 2003 19:47:51 +0100

wmweather (2.4.1-2) unstable; urgency=low

  * Fixed pressure rounding and manual typo, thanks to Martin Stigge,
    closes: #217551.
  * Updated build-dependency and standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Oct 2003 12:46:21 +0100

wmweather (2.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 01 Aug 2003 15:35:16 +0200

wmweather (2.4.0-2) unstable; urgency=low

  * Don't die upon HTTP 403, closes: #203335.
  * Converted debian/changelog to UTF-8.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 29 Jul 2003 16:20:12 +0200

wmweather (2.4.0-1) unstable; urgency=low

  * New upstream release, added config file support.
  * Removed debconf support in favor of system-wide config file,
    updated dependencies. The debconf information will be moved
    into /etc/wmweather.conf automatically.
  * Fixed handling for multiple PIDs in the ip-up script.
  * Temporarily removed debian/watch file.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 28 Apr 2003 07:16:10 +0200

wmweather (2.3.3-1) unstable; urgency=low

  * New upstream release, closes: #185332.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 22 Mar 2003 16:37:21 +0100

wmweather (2.3.2-2) unstable; urgency=low

  * Added french debconf translation, closes: #185494.
    Thanks to Christian Perrier.
  * Added portuguese debconf translation, closes: #185683.
    Thanks to André Luís Lopes.
  * Fixed default value for wmweather/metric.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 21 Mar 2003 08:38:24 +0100

wmweather (2.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 15 Mar 2003 20:56:58 +0100

wmweather (2.3.1-4) unstable; urgency=low

  * Transition to po-debconf, updated build-dependencies.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 14 Mar 2003 19:36:30 +0100

wmweather (2.3.1-3) unstable; urgency=low

  * Fixed update-menus in debian/postinst and debian/postrm.
  * Updated debian/watch.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 27 Feb 2003 17:04:55 +0100

wmweather (2.3.1-2) unstable; urgency=low

  * Simplified debian/config, fixed debian/postinst, updated debian/watch.
  * Added Lintian override about menu file not in DEBIAN/md5sums, because
    it is debconf'igured.
  * Removed build-dependency on debhelper.
  * Updated maintainer email address.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 21 Feb 2003 20:49:00 +0100

wmweather (2.3.1-1) unstable; urgency=low

  * New upstream release.
  * Fixed ip-up script, closes: #179454.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Fri, 07 Feb 2003 15:21:45 +0100

wmweather (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control, debian/rules.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Mon, 27 Jan 2003 21:57:50 +0100

wmweather (2.2.13-1) unstable; urgency=low

  * New upstream release,
    closes: #174473 (incorrect displaying of -10).


=== debian/control ===
Source: wmweather
Section: gnustep
Priority: optional
Maintainer: Martin A. Godisch <godisch@debian.org>
Build-Depends: libcurl4-gnutls-dev | libcurl-dev, libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.5
Homepage: http://people.debian.org/~godisch/wmweather/

Package: wmweather
Architecture: any
Depends: ${shlibs:Depends}
Recommends: x11-utils
Suggests: wmaker | afterstep
Description: WindowMaker dockapp that shows your current weather
 wmweather provides a monitor on a 64x64 mini window that displays the current
 weather. The weather reports are received from NOAA's National Weather
 Service at http://www.nws.noaa.gov/, that is the same source that pilots use.
 .
 wmweather is designed to work with the WindowMaker dock, but will work with
 other window managers as well. xbase-clients are required for the left click
 to bring up the complete METAR record.

=== debian/rules ===
#!/usr/bin/make -f

testdir  = test -f src/wmweather.c && test -f debian/rules
testroot = test x`whoami` = xroot

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   = $(shell dpkg-buildflags --get CFLAGS) -Wno-error=format-security
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS
export CFLAGS
export LDFLAGS

clean:
	$(testdir)
	rm -f build-stamp debian/files debian/substvars
	[ ! -f src/Makefile ] || $(MAKE) -C src -i distclean
	rm -rf debian/wmweather

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	$(testdir)
	cd src && ./configure $(CONFFLAGS) --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc --with-xmessage=/usr/bin/xmessage
	$(MAKE) -C src
	touch $@

binary: binary-arch binary-indep

binary-arch: build
	$(testdir)
	$(testroot)
	rm -rf debian/wmweather

	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/wmweather
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip -R .comment -R .note debian/wmweather/usr/bin/wmweather
endif
	gzip -9n debian/wmweather/usr/share/man/man1/wmweather.1
	rm -f debian/wmweather/usr/share/man/man1/wmWeather.1
	ln -s wmweather.1.gz debian/wmweather/usr/share/man/man1/wmWeather.1.gz
	install -D -p -m 0644 src/wmweather.conf debian/wmweather/etc/wmweather.conf
	install -D -p -m 0755 debian/ip-up debian/wmweather/etc/ppp/ip-up.d/wmweather
	install -D -p -m 0644 debian/menu  debian/wmweather/usr/share/menu/wmweather

	install -D -p -m 0644 CHANGES debian/wmweather/usr/share/doc/wmweather/changelog
	install -D -p -m 0644 debian/changelog debian/wmweather/usr/share/doc/wmweather/changelog.Debian
	install    -p -m 0644 README debian/copyright debian/wmweather/usr/share/doc/wmweather
	gzip -9n debian/wmweather/usr/share/doc/wmweather/changelog*

	install -d -p -m 0755 debian/wmweather/DEBIAN
	install    -p -m 0644 debian/control debian/conffiles debian/wmweather/DEBIAN
	install    -p -m 0755 debian/postinst debian/postrm debian/wmweather/DEBIAN
	cd debian/wmweather && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums

	dpkg-shlibdeps debian/wmweather/usr/bin/wmweather
	dpkg-gencontrol -isp -pwmweather -Pdebian/wmweather
	chmod -R u+w,go=u-w debian/wmweather
	dpkg --build debian/wmweather ..

binary-indep:

.PHONY: clean build build-arch build-indep binary binary-indep binary-arch

## wmweather 2.4.6

=== debian/changelog ===
wmweather (2.4.6-2) unstable; urgency=low

  * Made build reproducible, closes: 828855. Thanks to Reiner Herrmann.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Aug 2016 19:53:00 +0200

wmweather (2.4.6-1) unstable; urgency=low

  * New upstream release, fixed NOAA download URL, closes: 833394.
    Thanks to Matthieu Weber and Cristian Ionescu-Idbohrn.
  * Replaced menu information with desktop file, updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Aug 2016 19:06:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Build-Depends: libcurl4-gnutls-dev | libcurl-dev, libx11-dev, libxext-dev, libxpm-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://people.debian.org/~godisch/wmweather/
 
 Package: wmweather

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	ln -s wmweather.1.gz debian/wmweather/usr/share/man/man1/wmWeather.1.gz
 	install -D -p -m 0644 src/wmweather.conf debian/wmweather/etc/wmweather.conf
 	install -D -p -m 0755 debian/ip-up debian/wmweather/etc/ppp/ip-up.d/wmweather
-	install -D -p -m 0644 debian/menu  debian/wmweather/usr/share/menu/wmweather
+	install -D -p -m 0644 debian/desktop debian/wmweather/usr/share/applications/wmweather.desktop
 
 	install -D -p -m 0644 CHANGES debian/wmweather/usr/share/doc/wmweather/changelog
 	install -D -p -m 0644 debian/changelog debian/wmweather/usr/share/doc/wmweather/changelog.Debian
@@ -61,7 +61,7 @@
 	install -d -p -m 0755 debian/wmweather/DEBIAN
 	install    -p -m 0644 debian/control debian/conffiles debian/wmweather/DEBIAN
 	install    -p -m 0755 debian/postinst debian/postrm debian/wmweather/DEBIAN
-	cd debian/wmweather && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums
+	cd debian/wmweather && find usr -type f -print0 | LC_ALL=C sort -z | xargs -0 md5sum > DEBIAN/md5sums
 
 	dpkg-shlibdeps debian/wmweather/usr/bin/wmweather
 	dpkg-gencontrol -isp -pwmweather -Pdebian/wmweather

## wmweather 2.4.7

=== debian/changelog ===
wmweather (2.4.7-1) unstable; urgency=medium

  * New upstream release, fixed NOAA download URL, closes: #921841.
    Thanks to Tilmann Hentze, Werner, Roman Dobosz,
    Cristian Ionescu-Idbohrn, and Faried Nawaz.
  * Updated standards version, added --strip-unneeded.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 13 Feb 2019 21:03:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Build-Depends: libcurl4-gnutls-dev | libcurl-dev, libx11-dev, libxext-dev, libxpm-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: http://people.debian.org/~godisch/wmweather/
 
 Package: wmweather

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif
 
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS   = $(shell dpkg-buildflags --get CFLAGS) -Wno-error=format-security
+CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
 LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
 export CPPFLAGS
 export CFLAGS
@@ -44,7 +44,7 @@
 
 	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/wmweather
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip -R .comment -R .note debian/wmweather/usr/bin/wmweather
+	strip --strip-unneeded -R .comment -R .note debian/wmweather/usr/bin/wmweather
 endif
 	gzip -9n debian/wmweather/usr/share/man/man1/wmweather.1
 	rm -f debian/wmweather/usr/share/man/man1/wmWeather.1
@@ -64,7 +64,7 @@
 	cd debian/wmweather && find usr -type f -print0 | LC_ALL=C sort -z | xargs -0 md5sum > DEBIAN/md5sums
 
 	dpkg-shlibdeps debian/wmweather/usr/bin/wmweather
-	dpkg-gencontrol -isp -pwmweather -Pdebian/wmweather
+	dpkg-gencontrol -pwmweather -Pdebian/wmweather
 	chmod -R u+w,go=u-w debian/wmweather
 	dpkg --build debian/wmweather ..

## wmweather 2.4.8

=== debian/changelog ===
wmweather (2.4.8-3) unstable; urgency=low

  * Fixed another time_t data type, closes: #1091280.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Jan 2025 08:36:40 +0100

wmweather (2.4.8-2) unstable; urgency=low

  * Fixed time_t data type, closes: #1091280.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 24 Jan 2025 07:30:46 +0100

wmweather (2.4.8-1) unstable; urgency=low

  * New upstream release, including imperial patch, closes: #743662.
    Thanks to David Starner <prosfilaes@gmail.com>.
  * Changed build system to debhelper.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 23 Mar 2024 09:05:56 +0100

wmweather (2.4.7-3) unstable; urgency=medium

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Jul 2020 12:54:42 +0200

wmweather (2.4.7-2) unstable; urgency=medium

  * Fixed gcc-10 compilation, closes. #957956.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 25 Jul 2020 14:36:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnustep
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
-Build-Depends: libcurl4-gnutls-dev | libcurl-dev, libx11-dev, libxext-dev, libxpm-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), dh-exec, libcurl4-gnutls-dev | libcurl-dev, libx11-dev, libxext-dev, libxpm-dev
+Standards-Version: 4.6.2
 Homepage: http://people.debian.org/~godisch/wmweather/
 
 Package: wmweather
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: x11-utils
 Suggests: wmaker | afterstep
 Description: WindowMaker dockapp that shows your current weather

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	dh_auto_configure -- --with-xmessage=/bin/xmessag

=== debian/watch ===
version=4
http://people.debian.org/~godisch/wmweather wmweather-(.*)\.tar\.gz
